Bug 17740 - Add the Koha::Patron->holds method
Summary: Add the Koha::Patron->holds method
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 11999 17738 17741
  Show dependency treegraph
 
Reported: 2016-12-07 15:17 UTC by Jonathan Druart
Modified: 2017-11-08 12:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17740: Add the Koha::Patron->holds method (3.63 KB, patch)
2016-12-07 16:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17740: Add the Koha::Patron->holds method (3.70 KB, patch)
2016-12-07 22:19 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17740: Add the Koha::Patron->holds method (4.02 KB, patch)
2017-01-06 09:01 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-12-07 15:17:08 UTC

    
Comment 1 Jonathan Druart 2016-12-07 16:12:39 UTC
Created attachment 58014 [details] [review]
Bug 17740: Add the Koha::Patron->holds method

The goal of this method is to replace
C4::Reserves::GetReservesFromBorrowernumber but could be reused for
something else, that's why it has its own bug report.

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green
Comment 2 Josef Moravec 2016-12-07 22:19:50 UTC
Created attachment 58035 [details] [review]
[SIGNED-OFF] Bug 17740: Add the Koha::Patron->holds method

The goal of this method is to replace
C4::Reserves::GetReservesFromBorrowernumber but could be reused for
something else, that's why it has its own bug report.

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Marcel de Rooy 2017-01-06 09:01:08 UTC
Created attachment 58626 [details] [review]
Bug 17740: Add the Koha::Patron->holds method

The goal of this method is to replace
C4::Reserves::GetReservesFromBorrowernumber but could be reused for
something else, that's why it has its own bug report.

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Rebased. Edited two test descriptions.
Comment 4 Kyle M Hall 2017-01-13 11:39:09 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 5 Katrin Fischer 2017-01-15 17:23:48 UTC
This won't get ported back to 16.11.x as it is an enhancement.